Bug#1009067: DeprecationWarning: The asyncore module is deprecated and will be removed in Python 3.12.

186 views
Skip to first unread message

Lisandro Damián Nicanor Pérez Meyer

unread,
Apr 6, 2022, 3:40:03 PMApr 6
to
Package: squid-deb-proxy-client
Version: 0.8.15+nmu1
Severity: normal
X-Debbugs-Cc: lisa...@debian.org

While running apt update I get:

/usr/share/squid-deb-proxy-client/apt-avahi-discover:6: DeprecationWarning: The asyncore module is deprecated and will be removed in Python 3.12. The recommended replacement is asyncio
import asyncore

This might probably be already in your radar but I could not find a
related bug.

Thanks a lot for this wonderful tool!

-- System Information:
Debian Release: bookworm/sid
APT prefers buildd-unstable
APT policy: (500, 'buildd-unstable'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386, arm64

Kernel: Linux 5.16.0-6-amd64 (SMP w/16 CPU threads; PREEMPT)
Locale: LANG=es_AR.UTF-8, LC_CTYPE=es_AR.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages squid-deb-proxy-client depends on:
ii apt 2.4.4
ii avahi-utils 0.8-5
ii python3 3.10.4-1

squid-deb-proxy-client recommends no packages.

squid-deb-proxy-client suggests no packages.

-- no debconf information

James Tocknell

unread,
May 25, 2022, 8:00:04 PMMay 25
to
Reply all
Reply to author
Forward
0 new messages